package net.northking.cctp.element.core.exception;

public class ExecuteException extends RuntimeException{
    /**
     * 是否执行下一步
     */
    private boolean continueNextStep;

    public boolean isContinueNextStep() {
        return continueNextStep;
    }

    public ExecuteException() {
        super();
    }

    public ExecuteException(String message) {
        super(message);
    }

    public ExecuteException(String message, Throwable cause) {
        super(message, cause);
    }

    public ExecuteException(Throwable cause) {
        super(cause);
    }

    protected ExecuteException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }

    public ExecuteException(String message, Throwable cause, boolean continueNextStep) {
        super(message, cause);
        this.continueNextStep = continueNextStep;
    }
}
